## BioInformatics Tool for Infrastructure Automation (BiTIA)


```{image} https://img.shields.io/pypi/v/bitia.svg
:target: https://pypi.python.org/pypi/bitia
```
```{image} https://img.shields.io/pypi/pyversions/bitia.svg
:target: https://www.python.org
```
BiTIA is a tool that simplifies the infrastructure required to run complex bioinformatics pipelines. BiTIA plays well with the existing pipeline solution such as snakement.

BiTIA has two components: bitia-cli and bitia-runner.
- **bitia-cli**
Creates a zip file of the user input(pipeline) containing a unique hash and ships it to the server.
- **bitia-runner**
    Runs following works in the server
    - Creates a docker container with the user input
    - Runs the pipeline
    - Sends log to the user
    - Sends link of results(artifacts) to the user
    - Interacts with common cache for reading data/reference files 


[see some examples]: examples

```{toctree}
:caption: Getting started
:hidden: true
:name: getting_started

getting_started
developer
```


If you want to learn how to use BiTIA and installation, check out the following resources:

- [Getting Started](getting_started.md) 



```{eval-rst}
.. automodule:: bitia



